#include <stdio.h>
#include <math.h>

#include "NombreAleatoire.h"

NombreAleatoire::NombreAleatoire(void):NombreAleatoireMersenneTwister() {
}

NombreAleatoire::NombreAleatoire(unsigned long s):NombreAleatoireMersenneTwister(s) {
}

void NombreAleatoire::init(unsigned long s) {
  NombreAleatoireMersenneTwister::init(s);
}

int NombreAleatoire::rand(int limite) {
  return(NombreAleatoireMersenneTwister::rand(limite));
}

long NombreAleatoire::rand(long limite) {
  return(NombreAleatoireMersenneTwister::rand(limite));
}

float NombreAleatoire::rand(float limite) {
  return(NombreAleatoireMersenneTwister::rand(limite));
}

double NombreAleatoire::rand(double limite) {
  return(NombreAleatoireMersenneTwister::rand(limite));
}

float NombreAleatoire::rand(float limite,unsigned long ulseed) {
  return(NombreAleatoireMersenneTwister::rand(limite,ulseed));
}

double NombreAleatoire::rand(double limite,unsigned long sseed) {
  return(NombreAleatoireMersenneTwister::rand(limite,sseed));
}

double NombreAleatoire::rand(double limite,double ulseed) {
  return(NombreAleatoireMersenneTwister::rand(limite,ulseed));
}

double NombreAleatoire::rand_0_1(void) {
  return(NombreAleatoireMersenneTwister::rand_0_1());
}

NombreAleatoire::~NombreAleatoire(void) {
}

